# Return billable usage logs

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/usage/download`

Returns billable usage logs in CSV format for the specified account and date range.
 

 Note that this method might take multiple minutes to complete.

 **Warning**: Depending on the queried date range, the number of workspaces
 in the account, the size of the response and the internet speed of the caller,
 this API may hit a timeout after a few minutes. If you experience this, try to mitigate
 by calling the API with narrower date ranges.

API scopes: billing

Response content type: `text/plain`

**AWS**

Returns billable usage logs in CSV format for the specified account and date range.
For the data schema, see [CSV file schema](https://docs.databricks.com/administration-guide/account-settings/usage-analysis.html#schema).

Note that this method might take multiple minutes to complete.

**Warning**: Depending on the queried date range, the number of workspaces
in the account, the size of the response and the internet speed of the caller,
this API may hit a timeout after a few minutes. If you experience this, try to mitigate
by calling the API with narrower date ranges.

## Path parameters

- `account_id` (string, uuid, required)
  Databricks account ID of any type. For non-E2 account types, get
   your account ID from the [Accounts Console](https://docs.databricks.com/administration-guide/account-settings/usage.html).

## Query parameters

- `start_month` (string, required)
  Format specification for month in the format `YYYY-MM`. This is
   used to specify billable usage `start_month` and `end_month` 
   properties. **Note**: Billable usage logs are unavailable before 
   March 2019 (`2019-03`).
  Constraints: `2[0-9][0-9][0-9]-(0[1-9]|1[012])`
- `end_month` (string, required)
  Format: `YYYY-MM`. Last month to return billable usage logs for. 
   This field is required.
  Constraints: `2[0-9][0-9][0-9]-(0[1-9]|1[012])`
- `personal_data` (boolean, optional)
  Specify whether to include personally identifiable information in 
   the billable usage logs, for example the email addresses of cluster 
   creators. Handle this information with care. Defaults to false.
  Default: `false`

## Returns

Returns binary.

## Response

```text
workspaceId,timestamp,clusterId,clusterName,clusterNodeType,clusterOwnerUserId,clusterCustomTags,sku,dbus,machineHours,clusterOwnerUserName,tags
1234567890123456,2026-08-01T00:00:00.000Z,0801-000000-demo123,example-cluster,i3.xlarge,1234567890123456,,STANDARD_ALL_PURPOSE_COMPUTE,1.25,0.50,user@example.com,
```

